<?php
defined( '_JEXEC' ) or die ('Restricted access');
class JdThermometerHelper {
	/**
	 * Get donation amount and store them in an array
	 *
	 * @return array
	 */
	function getCampaigns($cids){
		$db		= & JFactory::getDBO();		
		$sql = 'SELECT a.*, SUM(b.amount) AS donated_amount '
			. ' FROM #__jd_campaigns AS a '
			. ' LEFT JOIN #__jd_donors AS b '
			. ' ON (a.id = b.campaign_id AND b.published=1) '
			. ' WHERE a.published=1 '
			. ($cids ? ' AND a.id IN ('.$cids.')' : '')
			.' GROUP BY a.id '
			. ' ORDER BY a.ordering '
		;
		$db->setQuery($sql);		
		return $db->loadObjectList();				
	}
	/**
	 * Get use https
	 *
	 * @return unknown
	 */
	function getUseHttps() {
		$db = & JFactory::getDBO() ;
		$sql = 'SELECT config_value FROM #__jd_configs WHERE config_key = "use_https"';
		$db->setQuery($sql) ;
		return $db->loadResult();
	}
	/**
	 * Get fix next button config variable
	 *
	 * @return int
	 */
	function getFixNextButton() {
		$db = & JFactory::getDBO() ;
		$sql = 'SELECT config_value FROM #__jd_configs WHERE config_key = "fix_next_button"';
		$db->setQuery($sql) ;
		return $db->loadResult();
	}	
}
?>